DASDFMT(8)

NAME
dasdfmt - formatting of DASD (ECKD) disk drives.

SYNOPSIS
dasdfmt [-h] [-t] [-v] [-y] [-p] [-P] [-m step]
        [-r cylinder] [-b blksize] [-l volser] [-d layout]
        [-L] [-V] [-F] [-k] [-C] [-M mode] device

DESCRIPTION
dasdfmt formats a DASD (ECKD) disk drive to prepare it for usage with Linux for S/390. The device is the node of the device (e.g. '/dev/dasda'). Any device node created by udev for kernel 2.6 can be used (e.g. '/dev/dasd/0.0.b100/disc').
WARNING: Careless usage of dasdfmt can result in LOSS OF DATA.

OPTIONS

-h or --help
    Print usage and exit.

-t or --test
    Disables any modification of the disk drive.
    dasdfmt just prints out, what it would do.

-v  Increases verbosity.

-y  Start formatting without further user-confirmation.

--norecordzero
    Remove permission for subsystem to format write record zero.
    This is an expert option: Per default in recent dasd drivers, subsystems are granted the permission to format write record zero. This option is used to remove this permission.

-L or --no_label
    Omit the writing of a disk label after formatting.
    This makes only sense for the 'ldl' disk layout.
    The '-L' option has to be specified after the '-d ldl' option.
    e.g. dasdfmt -d ldl -L /dev/...

-V or --version
    Print version number and exit.

-F or --force
    Formats the device without performing sanity checking.

-C or --check_host_count
    Force dasdfmt to check the host access open count to ensure the device is not online on another operating system instance

-d layout or --disk_layout=layout
    Formats the device with compatible disk layout or linux disk layout. layout is either cdl for the compatible disk layout (default) or ldl for the linux disk layout.
    Compatible disk layout means a special handling of the first two tracks of the volume. This enables other S/390 or zSeries operating systems to access this device (e.g. for backup purposes).

-p or --progressbar
    Print a progress bar while formatting. Do not use this option if you are using a 3270 console, running in background or redirecting the output to a file.

-P or --percentage
    Print one line for each formatted cylinder showing the number of the cylinder and percentage of formatting process. Intended to be used by higher level interfaces.

-m step or --hashmarks=step
    Print a hashmark every step cylinders. The value step has to be within range [1,1000], otherwise it will be set to the default, which is 10.
    You can use this option to see the progress of formatting in case you are not able to use the progress bar option -p, e.g. with a 3270 terminal.
    The value will be at least as big as the -r or --requestsize value.

-M mode or --mode=mode
    Specify the mode to be used to format the device. Valid modes are:

    full
        Format the entire disk with the specified blocksize. (default)

    quick
        Format the first two tracks and write label and partition information. Use this option only if you are sure that the target DASD already contains a regular format with the specified blocksize. A blocksize can optionally be specified using -b (--blocksize).
        For thin-provisioned DASD ESE volumes, quick is the default mode. A full space release then precedes the formatting step. If this space release fails, dasdfmt falls back to a full-format mode. Formatting stops if the space release fails and quick mode was specified explicitly using -M. Specify the --no-discard option to omit the space release.

    expand
        Format all unformatted tracks at the end of the target DASD. This mode assumes that tracks at the beginning of the DASD volume have already been correctly formatted, while a consecutive set of tracks at the end are unformatted. You can use this mode to make added space available for Linux use after dynamically increasing the size of a DASD volume. A blocksize can optionally be specified using -b (--blocksize).

--check
    Perform a complete format check on a DASD volume. A blocksize can be specified with -b (--blocksize).

--no-discard
    Omit a full space release when formatting a thin-provisioned DASD ESE volume.

-r cylindercount or --requestsize=cylindercount
    Number of cylinders to be processed in one formatting step. The value must be an integer in the range 1 - 255.
    Use this parameter to exploit any available PAV devices. The number of cylinders optimally matches the number of associated devices, counting the base device and all alias devices.

-b blksize or --blocksize=blksize
    Specify blocksize to be used. blksize must be a positive integer and always be a power of two. The recommended blocksize is 4096 bytes.

-l volser or --label=volser
    Specify the volume serial number or volume identifier to be written to disk after formatting. If no label is specified, a sensible default is used. volser is interpreted as ASCII string and is automatically converted to uppercase and then to EBCDIC.
    e.g. -l LNX001 or --label=DASD01
    The volser identifies by serial number the volume. A volume serial number is 1 through 6 alphanumeric or one of the following special characters: $, #, @, %. Enclose a serial number that contains special characters in apostrophes. If the number is shorter than six characters, it is padded with trailing blanks.
    Do not code a volume serial number as SCRTCH, PRIVAT, or Lnnnnn (L with five numbers); these are used in OS/390 messages to ask the operator to mount a volume. Do not code a volume serial number as MIGRAT, which is used by the OS/390 Hierarchical Storage Manager DFSMShsm for migrated data sets.
    NOTE: Try to avoid using special characters in the volume serial. This may cause problems accessing a disk by volser.
    In case you really have to use special characters, make sure you are using quotes. In addition there is a special handling for the '$' sign. Please specify it using '\$' if necessary.
    e.g. -l 'a@b\$c#' to get A@B$C#

-k or --keep_volser
    Keeps the Volume Serial Number, when writing the Volume Label. This is useful, if the Serial Number has been written with a VM Tool and should not be overwritten.

SEE ALSO
fdasd(8)